# Event

#### new Cesium.Event()
Core/Event.js 23

A generic utility class for managing subscribers for a particular event. This class is usually instantiated inside of a container class and exposed as a property for others to subscribe to.

##### Example:

    MyObject.prototype.myListener = function(arg1, arg2) {
        this.myArg1Copy = arg1;
        this.myArg2Copy = arg2;
    }

    var myObjectInstance = new MyObject();
    var evt = new Cesium.Event();
    evt.addEventListener(MyObject.prototype.myListener, myObjectInstance);
    evt.raiseEvent('1', '2');
    evt.removeEventListener(MyObject.prototype.myListener);

### Members

#### readonly numberOfListeners : Number
Core/Event.js 37

The number of listeners currently subscribed to the event.

### Methods

#### addEventListener(listener, scope) → Event.RemoveCallback
Core/Event.js 57

Registers a callback function to be executed whenever the event is raised. An optional scope can be provided to serve as the `this` pointer in which the function will execute.

Name | Type | Description
--- | --- | ---
`listener` | function | The function to be executed when the event is raised.
`scope` | Object | optional An optional object scope to serve as the `this` pointer in which the listener function will execute.

##### Returns:

A function that will remove this event listener when invoked.

##### See:

- Event#raiseEvent
- Event#removeEventListener

#### raiseEvent(arguments)
Core/Event.js 127

Raises the event by calling each registered listener with all supplied arguments.

Name | Type | Description
--- | --- | ---
`arguments` | Object | repeatable This method takes any number of parameters and passes them through to the listener functions.

##### See:

- Event#addEventListener
- Event#removeEventListener

#### removeEventListener(listener, scope) → Boolean
Core/Event.js 81

Unregisters a previously registered callback.

Name | Type | Description
--- | --- | ---
`listener` | function | The function to be unregistered.
`scope` | Object | optional The scope that was originally passed to addEventListener.

##### Returns:

`true` if the listener was removed; `false` if the listener and scope are not registered with the event.

##### See:

- Event#addEventListener
- Event#raiseEvent

### Type Definitions

#### Cesium.Event.RemoveCallback()
Core/Event.js 158

A function that removes a listener.